{% extends 'base.html.twig' %}

{% block head %}
{% endblock %}

{% block title %}articles{% endblock %}

{% block body %}
<style>
</style>
<div class="row">
    {% for row in article %}
    <div class="col-4">
        <div class="card" style="width: 18rem; margin-top:10px;">
            <div class="card-body">
                <h5 class="card-title">{{row.title[:15]}}</h5>
                <img src="{{row.img}}" class="card-img-top" alt="" style="height:150px;"><span class="badge badge-primary">Article</span>
                <hr>
                <h6 class="card-subtitle mb-2 text-muted">{{row.date|date('d-m-Y')}}</h6>
                <p>{{row.category}}</p>
                <p class="card-text">{{row.content[:50]}}</p>
                <h6 class="author">{{row.author}}</h6>
                <a href="{{path('see-article',{id:row.id})}}" type="button" class="btn btn-success">Read</a>
            </div>
        </div>
    </div>
    {% endfor %}
</div><br>
{% endblock %}